List biometrics enrollments by device_id
curl --request GET \
--url http://api.trio.com.br/biometrics/enrollments \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://api.trio.com.br/biometrics/enrollments"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://api.trio.com.br/biometrics/enrollments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"device_id": "019f9fbf-2cf4-10b2-6c9b-9c75a62a232d",
"expiration_datetime": "2026-08-26T00:00:00Z",
"external_id": "external_id_example",
"id": "019f9fbf-2cf3-e70b-9e1c-2ccb4ec54c4c",
"inserted_at": "2026-07-26T00:00:00Z",
"participant_id": "019f9fbf-2cf4-f5a3-751e-7ed72303fa36",
"redirect_url": "http://teste.com",
"status": "awaiting_enrollment",
"updated_at": "2026-07-26T00:00:00Z",
"participant": {
"avatar": "https://cdn.raidiam.io/directory-ui/brand/obbrazil/0.2.0.112/favicon.svg",
"id": "019f9fbf-2cf4-f5a3-751e-7ed72303fa36",
"integration_id": "019fa021-d9f9-7fa9-6f53-afc7b32f7b93",
"is_enrollment_available": true,
"ispb": "12345678",
"name": "Mock Bank",
"slug": "mock-bank",
"status": "active",
"unavailable": false
}
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}Biometrics
List enrollments
Retrieves a list of biometrics enrollments for a given device.
GET
/
biometrics
/
enrollments
List biometrics enrollments by device_id
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Response
Enrollments
Response schema for listing biometrics enrollments
List of enrollments
Show child attributes
Show child attributes
⌘I

